import os
from setuptools import setup

from resticbackup import __version__


here = os.path.abspath(os.path.normpath(os.path.dirname(__file__)))


with open(os.path.join(here, "requirements-s3.txt")) as f:
    reqs_s3 = [line.strip() for line in f.readlines()]


setup(name='resticbackup',
      version=__version__,
      description='Wrapper around restic for automated backups',
      url='',
      author='dpedu',
      author_email='dave@davepedu.com',
      packages=['resticbackup'],
      install_requires=[],
      entry_points={
          "console_scripts": [
              "resticbackup = resticbackup.cli:main",
              "resticbackup-s3-scanner = resticbackup.s3:main",
          ]
      },
      extras_require={
          "s3": reqs_s3
      },
      zip_safe=False)
